commit: 916a8b2f95d9f7c599d812fea4731ec59df7bf22
Author: Craig Andrews <candrews <AT> gentoo <DOT> org>
AuthorDate: Sun Oct 13 20:28:53 2019 +0000
Commit: Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Tue Oct 15 15:57:51 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=916a8b2f
dev-python/pytest-pep8: EAPI=7
Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Craig Andrews <candrews <AT> gentoo.org>
dev-python/pytest-pep8/pytest-pep8-1.0.6-r1.ebuild | 33 ++++++++++++++++++++++
1 file changed, 33 insertions(+)
diff --git a/dev-python/pytest-pep8/pytest-pep8-1.0.6-r1.ebuild
b/dev-python/pytest-pep8/pytest-pep8-1.0.6-r1.ebuild
new file mode 100644
index 00000000000..bdf4a19b0b6
--- /dev/null
+++ b/dev-python/pytest-pep8/pytest-pep8-1.0.6-r1.ebuild
@@ -0,0 +1,33 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{5,6,7} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin to check PEP8 requirements"
+HOMEPAGE="https://pypi.org/project/pytest-pep8/"
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+SLOT="0"
+LICENSE="MIT"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE=""
+
+RDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=dev-python/pep8-1.3[${PYTHON_USEDEP}]
+ >=dev-python/pytest-2.4.2[${PYTHON_USEDEP}]
+ dev-python/pytest-cache[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+
+PATCHES=(
+ "${FILESDIR}"/1.0.6-MANIFEST.patch
+)
+
+python_test() {
+ ${EPYTHON} test_pep8.py || die
+}